message(STATUS "Called custom Dclib search script")

IF (NOT WIN32)
   # use pkg-config to get the directories and then use these values
   # in the FIND_PATH() and FIND_LIBRARY() calls
   FIND_PACKAGE(PkgConfig)
   PKG_CHECK_MODULES(PC_DCLIB dclib)
   SET(DCLIB_DEFINITIONS ${PC_DCLIB_CFLAGS_OTHER})
ENDIF (NOT WIN32)
	FIND_PATH(DCLIB_INCLUDE_DIR dclib/dclib.h
   HINTS
   ${PC_DCLIB_INCLUDEDIR}
   ${PC_DCLIB_INCLUDE_DIRS}
   PATH_SUFFIXES dclib
   )
FIND_LIBRARY(DCLIB_LIBRARY dc
   HINTS
   ${PC_DCLIB_LIBDIR}
   ${PC_DCLIB_LIBRARY_DIRS}
   )
IF(DCLIB_INCLUDE_DIR AND DCLIB_LIBRARY)
	SET(Dclib_FOUND 1)
ENDIF()
IF(Dclib_FOUND)
	MESSAGE(STATUS "Found the dclib libraries at ${DCLIB_LIBRARY}")
	MESSAGE(STATUS "Found the dclib headers at ${DCLIB_INCLUDE_DIR}")
ELSE()
	IF(Dclib_FIND_REQUIRED)
		MESSAGE(FATAL_ERROR "Could NOT find required dclib library, aborting")
	ELSE()
		MESSAGE(STATUS "Could NOT find dclib")
	ENDIF()
ENDIF()

